Mailinglist Archive: opensuse-buildservice (110 mails)

< Previous Next >
Re: [opensuse-buildservice] expansion error : have choice for libdns_sd.so()(64bit)
  • From: "Jonathan Arson" <jonharson@xxxxxxxxx>
  • Date: Mon, 17 Jul 2006 02:12:36 -0400
  • Message-id: <7f5234d30607162312q1d6ff8agc2d37d10258b8f03@xxxxxxxxxxxxxx>
On 7/17/06, Marcus Meissner <meissner@xxxxxxx> wrote:

On Mon, Jul 17, 2006 at 08:03:29AM +0200, Karl Eichwalder wrote:
> The BS refuses to build libextractor for x86_64 (factory) as part of my
> home project:
>
http://build.opensuse.org/package/show?package=libextractor&project=home%3Akeichwa
>
> The error message is:
> expansion error : have choice for libdns_sd.so()(64bit) needed by
> gnome-vfs2: avahi-compat-mDNSResponder mDNSResponder-lib
>
> How can I fix this issue? FYI, I can build the package with "mbuild -D
> x86_64" using the the same files.

You can add one of them explicitly.


Add this in your spec
%if %suse_version > 1000
Requires: mDNSResponder-lib
%endif
< Previous Next >
Follow Ups